Upload or download files within Symitar.
Operations
downloadLetterFile
POST
Downloads a letter file.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
FileNamestringrequiredThe name of the file to be uploaded or downloadedLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
DatanumberoptionalThe data to be uploaded or downloaded.Loading fields…
POST
/nexum/{sym}/persistent/filemanagement/downloadLetterFilePOST /nexum/627/persistent/filemanagement/downloadLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"FileName": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}uploadLetterFile
POST
Uploads a letter file.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
FileNamestringoptionalThe name of the file to be uploaded or downloadedDatanumberoptionalThe data to be uploaded or downloaded.noNewlinebooleanoptionalWhether to include newline characters in the fileLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/filemanagement/uploadLetterFilePOST /nexum/627/persistent/filemanagement/uploadLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"FileName": "string",
"Data": "string",
"noNewline": false,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteLetterFile
POST
Deletes a letter file.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
FileNamestringrequiredThe name of the file to be uploaded or downloadedLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/filemanagement/deleteLetterFilePOST /nexum/627/persistent/filemanagement/deleteLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"FileName": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}uploadDataFile
POST
Uploads a data file.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
FileNamestringoptionalThe name of the file to be uploaded or downloadedDatanumberoptionalThe data to be uploaded or downloaded.noNewlinebooleanoptionalWhether to include newline characters in the fileLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/filemanagement/uploadDataFilePOST /nexum/627/persistent/filemanagement/uploadDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"FileName": "string",
"Data": "string",
"noNewline": false,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}downloadDataFile
POST
Downloads a data file.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
FileNamestringrequiredThe name of the file to be uploaded or downloadedLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
DatanumberoptionalThe data to be uploaded or downloaded.Loading fields…
POST
/nexum/{sym}/persistent/filemanagement/downloadDataFilePOST /nexum/627/persistent/filemanagement/downloadDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"FileName": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteDataFile
POST
Deletes a data file.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
FileNamestringrequiredThe name of the file to be uploaded or downloadedLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/filemanagement/deleteDataFilePOST /nexum/627/persistent/filemanagement/deleteDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"FileName": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}